# Download instructions

1. Use the _Installation method_ dropdown to select `Direct Download`.
2. Click the `[Download]` button to download the package.

### Command line download

Use cURL or Wget to download the package.

#### cURL

``` bash
$ curl -O -H "Authorization: Bearer <TOKEN>" https://forge.puppet.com/v3/files/binford2k-sles12-8.2.0.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 26376    0 26376    0     0   8580      0 --:--:--  0:00:03 --:--:--  8591
$
```

#### Wget

``` bash
$ wget --header="Authorization: Bearer <TOKEN>" https://forge.puppet.com/v3/files/binford2k-sles12-8.2.0.tar.gz
--2023-10-06 12:21:01--  https://forge.puppet.com/v3/files/binford2k-sles12-8.2.0.tar.gz
Resolving forge.puppet.com (forge.puppet.com)... 18.65.229.39, 18.65.229.109, 18.65.229.2, ...
Connecting to forge.puppet.com (forge.puppet.com)|18.65.229.39|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [application/octet-stream]
Saving to: ‘binford2k-sles12-8.2.0.tar.gz’

binford2k-sles12-8.2.0.tar.gz        [ <=>                                 ]  25.76K  --.-KB/s    in 0.001s

2023-10-06 12:21:06 (46.0 MB/s) - ‘binford2k-sles12-8.2.0.tar.gz’ saved [26376]
$
```


# Installation Instructions

To install the agent, first untar the package.

``` bash
$ tar -xvzf binford2k-sles12-8.2.0.tar.gz
x binford2k-sles12/
x binford2k-sles12/REFERENCE.md
x binford2k-sles12/LICENSE
x binford2k-sles12/CHANGELOG.md
x binford2k-sles12/puppet-agent-8.2.0-1.sles12.x86_64.rpm
x binford2k-sles12/metadata.json
x binford2k-sles12/README.md
$
```

The newly created directory contains the agent RPM file. Use that file to follow
the [standard installation instructions](https://www.puppet.com/docs/pe/2023.4/installing_nix_agents).
